Package org.eclipse.viatra.query.patternlanguage.emf.types

## Class EMFPatternLanguageTypeRules

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.types.PatternLanguageTypeRules
  - - org.eclipse.viatra.query.patternlanguage.emf.types.EMFPatternLanguageTypeRules

-     public class EMFPatternLanguageTypeRules
      extends PatternLanguageTypeRules

  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EMFPatternLanguageTypeRules()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `_inferTypes​(EClassifierConstraint constraint, TypeInformation information)` |
    `protected void` | `_inferTypes​(EnumValue reference, TypeInformation information)` |
    `void` | `inferTypes​(org.eclipse.emf.ecore.EObject constraint, TypeInformation information)` |

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.types.PatternLanguageTypeRules

      `_inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, _inferTypes, loadParameterVariableTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageTypeRules

          public EMFPatternLanguageTypeRules()

  - ### Method Detail

    - #### _inferTypes

          protected void _inferTypes​(EClassifierConstraint constraint,
                                     TypeInformation information)

      Since:
        2.0

    - #### _inferTypes

          protected void _inferTypes​(EnumValue reference,
                                     TypeInformation information)

      Since:
        2.0

    - #### inferTypes

          public void inferTypes​(org.eclipse.emf.ecore.EObject constraint,
                                 TypeInformation information)

      Overrides:
        `inferTypes` in class `PatternLanguageTypeRules`